
from pydantic import BaseModel, ValidationError

class User(BaseModel):
    name: str
    age: int

def validate_user(user_data):
    try:
        user = User(**user_data)
        return {"status": "valid", "user": user}
    except ValidationError as e:
        return {"status": "invalid", "errors": e.errors()}

# JSON Explanation
